Bug 15134 - Rd2HTML seems to require newline for \itemize, otherwise ignores it
Rd2HTML seems to require newline for \itemize, otherwise ignores it
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Wishlist
R 2.15.2 patched
All All
: P5 enhancement
Assigned To: R-core
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 11:08 UTC by Sebastian Meyer
Modified: 2012-12-24 23:51 UTC (History)
1 user (show)

See Also:


Attachments
minimal NEWS.Rd file for illustration (305 bytes, text/plain)
2012-12-12 11:09 UTC, Sebastian Meyer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Meyer 2012-12-12 11:08:10 UTC
The attached example NEWS.Rd illustrates that 

tools:::.build_news_db_from_package_NEWS_Rd("NEWS.Rd")

and 

tools::Rd2HTML("NEWS.Rd")

behave differently if an \itemize paragraph is opened directly (on the same line) after \subsection{. Specifically, conversion to html completely ignores these \itemize paragraphs.
tools::parse_Rd("NEWS.Rd") does not thrown any warnings or errors and print()s nicely.

Unfortunately, I cannot tell where tools::Rd2HTML would require a modification, but it would be nice to have consistency or at least some warning.


PS: I became aware of this issue when I inspected the new version of the surveillance package on CRAN, see http://cran.at.r-project.org/web/packages/surveillance/news.html
Comment 1 Sebastian Meyer 2012-12-12 11:09:37 UTC
Created attachment 1394 [details]
minimal NEWS.Rd file for illustration
Comment 2 Sebastian Meyer 2012-12-14 11:07:32 UTC
PPS: The NEWS file in package surveillance version 1.5-1 (as published today) was fixed to circumvent the reported inconvenience with Rd2HTML, for which it therefore no longer serves as an example. However, the artificial minimal NEWS.Rd file attached to the original bug report (https://bugs.r-project.org/bugzilla3/attachment.cgi?id=1394) is still there for illustration.
Comment 3 Duncan Murdoch 2012-12-24 23:51:10 UTC
Just checking the fix, then will commit to R-devel and R-patched.